Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

API/Repository/Values/Content/Query/Criterion/Location/Depth.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location;
8
9 use eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location;
10 use eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator;
11 use eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications;
12
18 class Depth extends Location
19 {
29 public function __construct($operator, $value)
30 {
31 parent::__construct(null, $operator, $value);
32 }
33
34 public function getSpecifications()
35 {
36 return [
37 new Specifications(
38 Operator::IN,
39 Specifications::FORMAT_ARRAY,
40 Specifications::TYPE_INTEGER
41 ),
42 new Specifications(
43 Operator::EQ,
44 Specifications::FORMAT_SINGLE,
45 Specifications::TYPE_INTEGER
46 ),
47 new Specifications(
48 Operator::GT,
49 Specifications::FORMAT_SINGLE,
50 Specifications::TYPE_INTEGER
51 ),
52 new Specifications(
53 Operator::GTE,
54 Specifications::FORMAT_SINGLE,
55 Specifications::TYPE_INTEGER
56 ),
57 new Specifications(
58 Operator::LT,
59 Specifications::FORMAT_SINGLE,
60 Specifications::TYPE_INTEGER
61 ),
62 new Specifications(
63 Operator::LTE,
64 Specifications::FORMAT_SINGLE,
65 Specifications::TYPE_INTEGER
66 ),
67 new Specifications(
68 Operator::BETWEEN,
69 Specifications::FORMAT_ARRAY,
70 Specifications::TYPE_INTEGER,
71 2
72 ),
73 ];
74 }
75 }
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location\Depth
The Depth Criterion class.
Definition: API/Repository/Values/Content/Query/Criterion/Location/Depth.php:19
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location\Depth\__construct
__construct($operator, $value)
Creates a new Depth criterion.
Definition: API/Repository/Values/Content/Query/Criterion/Location/Depth.php:29
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location\Depth\getSpecifications
getSpecifications()
Criterion description function.
Definition: API/Repository/Values/Content/Query/Criterion/Location/Depth.php:34
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location
This is the base class for Location criterions.
Definition: API/Repository/Values/Content/Query/Criterion/Location.php:15
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications
This class is used by Criteria to describe which operators they support.
Definition: Specifications.php:15
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\FORMAT_ARRAY
const FORMAT_ARRAY
Definition: Specifications.php:20
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\TYPE_INTEGER
const TYPE_INTEGER
Criterion input value type description constants.
Definition: Specifications.php:26
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\FORMAT_SINGLE
const FORMAT_SINGLE
Criterion input type description constants.
Definition: Specifications.php:19
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\LT
const LT
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:19
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\EQ
const EQ
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:16
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\LTE
const LTE
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:20
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\GT
const GT
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:17
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\IN
const IN
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:21
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\BETWEEN
const BETWEEN
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:22
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\GTE
const GTE
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:18
eZ\Publish\API\Repository\Values\Content\Query\Criterion\$operator
$operator
Definition: API/Repository/Values/Content/Query/Criterion.php:21
eZ\Publish\API\Repository\Values\Content\Query\Criterion\$value
$value
Definition: API/Repository/Values/Content/Query/Criterion.php:28
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location
Definition: API/Repository/Values/Content/Query/Criterion/Location/Depth.php:7
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator
Definition: Specifications.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.